## ros-kinetic-warehouse-ros 0.9.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(warehouse_ros)

add_compile_options(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  rostime
  std_msgs
  geometry_msgs
  pluginlib
  tf
)
find_package(Boost COMPONENTS system filesystem thread)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES warehouse_ros
  CATKIN_DEPENDS roscpp rostime std_msgs geometry_msgs tf
  DEPENDS Boost
)

include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

set(warehouse_srcs
  src/database_loader.cpp
  src/transform_collection.cpp)

add_library(warehouse_ros SHARED ${warehouse_srcs})

target_link_libraries(warehouse_ros ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(warehouse_test_dbloader src/test_dbloader.cpp)
target_link_libraries(warehouse_test_dbloader warehouse_ros ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS warehouse_ros
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
        FILES_MATCHING PATTERN "*.h" PATTERN "*.hpp")

=== debian/changelog ===
ros-kinetic-warehouse-ros (0.9.4-1xenial) xenial; urgency=high

  * Cleanup: fix catkin_lint warnings, remove obsolete test folder
  * Fix unused-parameter warnings (#44 <https://github.com/ros-planning/warehouse_ros/issues/44>)
  * Bump required cmake version (#45 <https://github.com/ros-planning/warehouse_ros/issues/45>)
  * Contributors: Michael Görner, Robert Haschke

 -- MoveIt! Release Team <moveit_releasers@googlegroups.com>  Fri, 24 Apr 2020 22:00:00 -0000

ros-kinetic-warehouse-ros (0.9.3-1xenial) xenial; urgency=high

  * Fix const char* -> std::string conversion
  * Fix install location for warehouse_ros. (#43 <https://github.com/ros-planning/warehouse_ros/issues/43>)
  * Contributors: Robert Haschke, Sean Yen

 -- MoveIt! Release Team <moveit_releasers@googlegroups.com>  Sat, 17 Aug 2019 22:00:00 -0000

ros-kinetic-warehouse-ros (0.9.2-1xenial) xenial; urgency=high

  * Fix various smaller issues. (#41 <https://github.com/ros-planning/warehouse_ros/issues/41>)
    * fix guard name
    * virtual destructor for abstract class
    * use managed pointers - createUniqueInstance()
    * switch to C++11
    * clang-tidy modernize-use-override
  * Contributors: Robert Haschke

 -- Ioan Sucan <isucan@google.com>  Thu, 06 Dec 2018 23:00:00 -0000

ros-kinetic-warehouse-ros (0.9.1-1xenial) xenial; urgency=high

  * fix missing return value (#40 <https://github.com/ros-planning/warehouse_ros/issues/40>)
  * update include statements to use new pluginlib and class_loader headers (#38 <https://github.com/ros-planning/warehouse_ros/issues/38>)
  * Contributors: Mikael Arguedas, Robert Haschke

 -- Ioan Sucan <isucan@google.com>  Tue, 16 Oct 2018 22:00:00 -0000

ros-kinetic-warehouse-ros (0.9.0-1xenial) xenial; urgency=high

  * [fix] Omit dependency on mongo (and replace with pluginlib) #32 <https://github.com/ros-planning/warehouse_ros/issues/22>
  * [fix] Specifically including a header that seems to be required from Ubuntu Xenial.
  * [sys] Ensure headers and libraries are present for downstream pkgs #17 <https://github.com/ros-planning/warehouse_ros/issues/17>
  * [sys] Update CI config to test Jade and Kinetic #30 <https://github.com/ros-planning/warehouse_ros/issues/30>
  * [sys] Add rostest file and configs.
  * Contributors: Connor Brew, Dave Coleman, Ioan A Sucan, Isaac I.Y. Saito, Michael Ferguson, Scott K Logan

 -- Ioan Sucan <isucan@google.com>  Sun, 19 Jun 2016 22:00:00 -0000

ros-kinetic-warehouse-ros (0.8.8-1xenial) xenial; urgency=high

  * Merge pull request #13 <https://github.com/ros-planning/warehouse_ros/issues/13> from corot/master
    Issue #11 <https://github.com/ros-planning/warehouse_ros/issues/11>: Add a Python library
  * Merge pull request #15 <https://github.com/ros-planning/warehouse_ros/issues/15> from v4hn/shared-static-mongodb
    only export MongoDB dependency for shared mongodb-library
  * only export MongoDB dependency for shared mongodb-library
    libmongoclient.a uses quite a number of other libs and the exact
    requirements can't be read from a cmake/pc file.
    Therefore it makes more sense to keep the dependency hidden from ROS
    when we use the static lib. libwarehouse_ros then provides all required functions.
    ... This is a bit like creating a libmongoclient.so, but the whole problem
    exists because debian/ubuntu don't provide this one, right?
    The shared library can - and has to - be exported as a dependency to ROS.
  * Missing part of https://github.com/corot/world_canvas/issues/10:
    requires both mongodb and mongodb-dev
  * Merge branch 'master' of https://github.com/corot/warehouse_ros.git
  * Add kwargs also to insert so we can solves issues as
    https://github.com/corot/world_canvas/issues/13
  * Add kwargs to ensure_index so we can solves issues as
    https://github.com/corot/world_canvas/issues/13
  * Add python-pymongo dependency
  * Issue https://github.com/corot/world_canvas/issues/11: rospy queue_size
    warnings
  * Issue #11 <https://github.com/ros-planning/warehouse_ros/issues/11>: Add a Python library
  * Contributors: Ioan A Sucan, corot, v4hn

 -- Ioan Sucan <isucan@google.com>  Tue, 30 Sep 2014 22:00:00 -0000

ros-kinetic-warehouse-ros (0.8.5-1xenial) xenial; urgency=high

  * Fixed malloc.h inclusion on Mac OS X
  * Rename README.rst to README.md
  * added travis support
  * Contributors: Acorn, Dave Hershberger, Ioan A Sucan, Marco Esposito

 -- Ioan Sucan <isucan@google.com>  Sat, 22 Feb 2014 23:00:00 -0000

ros-kinetic-warehouse-ros (0.8.4-1xenial) xenial; urgency=high

  * update how we find MongoDB

 -- Ioan Sucan <isucan@google.com>  Tue, 02 Jul 2013 22:00:00 -0000

ros-kinetic-warehouse-ros (0.8.2-1xenial) xenial; urgency=high

  * fix typo and use correct install location
  * add config.h.in for deciding how to include mongo headers

 -- Ioan Sucan <isucan@google.com>  Tue, 02 Jul 2013 22:00:00 -0000

ros-kinetic-warehouse-ros (0.8.1-1xenial) xenial; urgency=high

  * fix linking issues (missing SSL symbols) in deps, undef defined macros

 -- Ioan Sucan <isucan@google.com>  Tue, 02 Jul 2013 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-warehouse-ros
Section: misc
Priority: optional
Maintainer: MoveIt! Release Team <moveit_releasers@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev, ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-pluginlib (>= 1.11.2), ros-kinetic-roscpp, ros-kinetic-rostest, ros-kinetic-rostime, ros-kinetic-std-msgs, ros-kinetic-tf
Homepage: http://ros.org/wiki/warehouse_ros
Standards-Version: 3.9.2

Package: ros-kinetic-warehouse-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-kinetic-geometry-msgs, ros-kinetic-pluginlib (>= 1.11.2), ros-kinetic-roscpp, ros-kinetic-rostime, ros-kinetic-std-msgs, ros-kinetic-tf
Description: Persistent storage of ROS messages

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-warehouse-ros//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
